Horary Planetary Hours
POST /api/v1/horary/planetary-hours
POST
/api/v1/horary/planetary-hours
Return the planetary hour ruler at the exact moment of a horary question and check if it matches the ASC ruler.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Example
{ "date": "2024-06-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
Example
{ "ok": true, "data": { "hourRuler": "Venus", "dayRuler": "Saturn", "ascRuler": "Venus", "match": true, "hourNumber": 4, "hourStart": "14:02", "hourEnd": "15:04" }}Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }}